Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 235507 - [gnome-overlay] =gnome-base/gnome-session-2.23.90: cannot shutdown or restart system
Summary: [gnome-overlay] =gnome-base/gnome-session-2.23.90: cannot shutdown or restart...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2008-08-23 07:51 UTC by Kobboi
Modified: 2008-10-01 22:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2008-08-23 07:51:55 UTC
Installed 2.23.x (mostly x=90) packages from the Gnome overlay. When trying to shutdown the following errors appear but nothing happens

gnome-session[5967]: DEBUG(+): GsmManager: Shutdown called
gnome-session[5967]: WARNING: Could not connect to ConsoleKit: Could not get owner of name 'org.freedesktop.ConsoleKit': no such name
gnome-session[5967]: DEBUG(+): GsmConsolekit: built without PolicyKit-gnome support - cannot restart system
gnome-session[5967]: DEBUG(+): GsmConsolekit: built without PolicyKit-gnome support - cannot stop system
gnome-session[5967]: DEBUG(+): GsmManager: Logout dialog response: 3
gnome-session[5967]: DEBUG(+): GsmManager: requesting reboot
gnome-session[5967]: DEBUG(+): GsmConsolekit: built without PolicyKit-gnome support - cannot restart system

Reproducible: Always
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-08-23 08:38:58 UTC
please make sure you have the latest packages available and then report this upstream.
Comment 2 Kobboi 2008-08-23 10:35:52 UTC
Is it worth it? I never receive any decent feedback upstream on things I occasionally log there.
Comment 3 Kobboi 2008-08-23 22:04:52 UTC
Bug logged upstream
Comment 4 Arun Raghavan (RETIRED) gentoo-dev 2008-08-24 13:50:44 UTC
(In reply to comment #3)
> Bug logged upstream

Could you please post 
Comment 5 Arun Raghavan (RETIRED) gentoo-dev 2008-08-24 14:00:29 UTC
(In reply to comment #4)
[...]
> Could you please post 

Sorry about the comment spam. Please ignore.
Comment 6 Gilles Dartiguelongue gentoo-dev 2008-10-01 21:52:09 UTC
this is fixed in gnome-session 2.24.0-r1 and consolekit 0.3.0-r1
Comment 7 Gilles Dartiguelongue gentoo-dev 2008-10-01 22:04:00 UTC
and for reference, consolekit report is at https://bugs.freedesktop.org/show_bug.cgi?id=17862